MONGOC_COLLECTION_INSERT_BULK(3)

NAME
mongoc_collection_insert_bulk - mongoc_collection_insert_bulk()

WARNING: Deprecated since version 1.9.0: This function is deprecated and should not be used in new code.

Please use mongoc_collection_insert_many() in new code.

SYNOPSIS

bool
mongoc_collection_insert_bulk (mongoc_collection_t *collection,
                               mongoc_insert_flags_t flags,
                               const bson_t **documents,
                               uint32_t n_documents,
                               const mongoc_write_concern_t *write_concern,
                               bson_error_t *error)
   BSON_GNUC_DEPRECATED_FOR (mongoc_collection_insert_many);

PARAMETERS

•   collection: A mongoc_collection_t.

•   flags: A bitwise or of mongoc_insert_flags_t.

•   documents: An array of bson_t.

•   n_documents: The number of documents in documents.

•   write_concern: A mongoc_write_concern_t or NULL.

•   error: An optional location for a bson_error_t or NULL.

DESCRIPTION

This function performs a bulk insert of all of the documents in documents. This function is deprecated as it cannot accurately return which documents may have failed during the bulk insert.

ERRORS

Errors are propagated via the error parameter.

A write concern timeout or write concern error is considered a failure.

RETURNS

Returns true if successful. Returns false and sets error if there are invalid arguments or a server or network error.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc